'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var run = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(fns) {
    var errors, _iteratorNormalCompletion, _didIteratorError, _iteratorError, _iterator, _step, fn;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            errors = [];
            _iteratorNormalCompletion = true;
            _didIteratorError = false;
            _iteratorError = undefined;
            _context.prev = 4;
            _iterator = (0, _getIterator3.default)(fns);

          case 6:
            if (_iteratorNormalCompletion = (_step = _iterator.next()).done) {
              _context.next = 19;
              break;
            }

            fn = _step.value;
            _context.prev = 8;
            _context.next = 11;
            return fn();

          case 11:
            _context.next = 16;
            break;

          case 13:
            _context.prev = 13;
            _context.t0 = _context['catch'](8);

            errors.push(_context.t0);

          case 16:
            _iteratorNormalCompletion = true;
            _context.next = 6;
            break;

          case 19:
            _context.next = 25;
            break;

          case 21:
            _context.prev = 21;
            _context.t1 = _context['catch'](4);
            _didIteratorError = true;
            _iteratorError = _context.t1;

          case 25:
            _context.prev = 25;
            _context.prev = 26;

            if (!_iteratorNormalCompletion && _iterator.return) {
              _iterator.return();
            }

          case 28:
            _context.prev = 28;

            if (!_didIteratorError) {
              _context.next = 31;
              break;
            }

            throw _iteratorError;

          case 31:
            return _context.finish(28);

          case 32:
            return _context.finish(25);

          case 33:
            return _context.abrupt('return', errors);

          case 34:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this, [[4, 21, 25, 33], [8, 13], [26,, 28, 32]]);
  }));

  return function run(_x) {
    return _ref.apply(this, arguments);
  };
}();

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _cleanComposeFiles = require('./clean-compose-files');

var _cleanComposeFiles2 = _interopRequireDefault(_cleanComposeFiles);

var _invalidState = require('./invalid-state');

var _invalidState2 = _interopRequireDefault(_invalidState);

var _invalidComposeConfig = require('./invalid-compose-config');

var _invalidComposeConfig2 = _interopRequireDefault(_invalidComposeConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
  var errors;
  return _regenerator2.default.wrap(function _callee2$(_context2) {
    while (1) {
      switch (_context2.prev = _context2.next) {
        case 0:
          _context2.next = 2;
          return run([_cleanComposeFiles2.default, _invalidState2.default, _invalidComposeConfig2.default]);

        case 2:
          errors = _context2.sent;

          if (!(errors.length > 0)) {
            _context2.next = 8;
            break;
          }

          console.log(_chalk2.default.yellow('There were some issues'));
          console.log();

          errors.forEach(function (error) {
            return console.log(error.stack);
          });

          return _context2.abrupt('return');

        case 8:

          console.log();
          console.log(_chalk2.default.green(' ✔ Finished tests'));
          console.log();
          console.log(' Please try running Navy again if it wasn\'t working before.');
          console.log(' If you still have problems, please open an issue at https://github.com/momentumft/navy/issues/new');
          console.log();

        case 14:
        case 'end':
          return _context2.stop();
      }
    }
  }, _callee2, this);
}));
module.exports = exports.default;