'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _ = require('../../');

var _util = require('./util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee4() {
  var _this = this;

  var navies;
  return _regenerator2.default.wrap(function _callee4$(_context4) {
    while (1) {
      switch (_context4.prev = _context4.next) {
        case 0:
          (0, _util.start)('Checking for dangling Navies');

          _context4.next = 3;
          return (0, _.getLaunchedNavies)();

        case 3:
          navies = _context4.sent;
          _context4.next = 6;
          return _promise2.default.all(navies.map(function () {
            var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3(navy) {
              var configProvider;
              return _regenerator2.default.wrap(function _callee3$(_context3) {
                while (1) {
                  switch (_context3.prev = _context3.next) {
                    case 0:
                      _context3.next = 2;
                      return navy.getConfigProvider();

                    case 2:
                      configProvider = _context3.sent;

                      if (configProvider) {
                        _context3.next = 7;
                        break;
                      }

                      _context3.next = 6;
                      return (0, _util.fix)('Found Navy without config provider %s, removing', navy.name, (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
                        return _regenerator2.default.wrap(function _callee$(_context) {
                          while (1) {
                            switch (_context.prev = _context.next) {
                              case 0:
                                _context.next = 2;
                                return navy.delete();

                              case 2:
                              case 'end':
                                return _context.stop();
                            }
                          }
                        }, _callee, _this);
                      })));

                    case 6:
                      return _context3.abrupt('return');

                    case 7:
                      _context3.next = 9;
                      return configProvider.isDangling();

                    case 9:
                      if (!_context3.sent) {
                        _context3.next = 12;
                        break;
                      }

                      _context3.next = 12;
                      return (0, _util.fix)('Found dangling Navy %s (invalid config), removing', navy.name, (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
                        return _regenerator2.default.wrap(function _callee2$(_context2) {
                          while (1) {
                            switch (_context2.prev = _context2.next) {
                              case 0:
                                _context2.next = 2;
                                return navy.destroy();

                              case 2:
                              case 'end':
                                return _context2.stop();
                            }
                          }
                        }, _callee2, _this);
                      })));

                    case 12:
                    case 'end':
                      return _context3.stop();
                  }
                }
              }, _callee3, _this);
            }));

            return function (_x) {
              return _ref2.apply(this, arguments);
            };
          }()));

        case 6:
        case 'end':
          return _context4.stop();
      }
    }
  }, _callee4, this);
}));
module.exports = exports.default;