'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.catchInvariant = exports.start = exports.fix = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _util = require('util');

var _util2 = _interopRequireDefault(_util);

var _invariant = require('invariant');

var _invariant2 = _interopRequireDefault(_invariant);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fix = exports.fix = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(message) {
    for (var _len = arguments.length, params = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      params[_key - 1] = arguments[_key];
    }

    var fixCallback;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            (0, _invariant2.default)(params.length > 0, 'DOCTOR_FIX_NO_PARAMS: Expected params to be passed to doctor fix');

            fixCallback = params[params.length - 1];


            console.log(_chalk2.default.yellow('----->', _util2.default.format.apply(_util2.default, [message].concat((0, _toConsumableArray3.default)(params.slice(0, -1))))));
            _context.next = 5;
            return fixCallback();

          case 5:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function fix(_x) {
    return _ref.apply(this, arguments);
  };
}();

var start = exports.start = function start(message) {
  console.log(_chalk2.default.dim('----->', message));
};

var catchInvariant = exports.catchInvariant = function () {
  var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(code, fn, catchCallback) {
    return _regenerator2.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.prev = 0;
            _context2.next = 3;
            return fn();

          case 3:
            _context2.next = 10;
            break;

          case 5:
            _context2.prev = 5;
            _context2.t0 = _context2['catch'](0);

            if (!(_context2.t0.name === 'Invariant Violation' && _context2.t0.message.indexOf(code) === 0)) {
              _context2.next = 10;
              break;
            }

            _context2.next = 10;
            return catchCallback();

          case 10:
          case 'end':
            return _context2.stop();
        }
      }
    }, _callee2, undefined, [[0, 5]]);
  }));

  return function catchInvariant(_x2, _x3, _x4) {
    return _ref2.apply(this, arguments);
  };
}();