'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _fs = require('../util/fs');

var _fs2 = _interopRequireDefault(_fs);

var _ = require('../');

var _configProvider = require('../config-provider');

var _util = require('./util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(opts) {
    var navy, boatAsciiArt, initialiseOpts;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            navy = (0, _.getNavy)(opts.navy);
            boatAsciiArt = _fs2.default.readFileSync(_path2.default.join(__dirname, '../../resources/sailing-boat.txt')).toString();
            _context.next = 4;
            return (0, _configProvider.getImportOptionsForCLI)(opts);

          case 4:
            initialiseOpts = _context.sent;
            _context.next = 7;
            return (0, _util.importNavy)(navy, initialiseOpts);

          case 7:

            console.log(' You can now use ' + _chalk2.default.bold('navy') + ' commands from any directory to control this Navy.');
            console.log();

            if (process.stdout.isTTY) {
              console.log(boatAsciiArt);
              console.log();
            }

          case 10:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();

module.exports = exports.default;