'use strict';

var _package = require('../../package.json');

var _package2 = _interopRequireDefault(_package);

var _program = require('./program');

var _program2 = _interopRequireDefault(_program);

var _errors = require('../errors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = require('debug')('navy:cli');

_program2.default.version(_package2.default.version);

_program2.default.command('help').alias('*').action(function () {
  return _program2.default.help();
});

try {
  _program2.default.parse(process.argv);
} catch (ex) {
  if (ex instanceof _errors.NavyError) {
    ex.prettyPrint();
  } else {
    throw ex;
  }
}

debug('Invoked CLI action');

if (_program2.default.args.length === 0) {
  _program2.default.help();
}