'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pathToModule = pathToModule;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function pathToModule(nodeModulesPath, pkgName) {
  var pkgNameWithNoTags = pkgName.lastIndexOf('@') !== 0 && pkgName.lastIndexOf('@') !== -1 ? pkgName.substring(0, pkgName.lastIndexOf('@')) : pkgName;

  return _path2.default.join(nodeModulesPath, pkgNameWithNoTags);
}