'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolveDriverFromName = resolveDriverFromName;

var _dockerCompose = require('./drivers/docker-compose');

var _dockerCompose2 = _interopRequireDefault(_dockerCompose);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function resolveDriverFromName(driverName) {
  switch (driverName) {
    case 'docker-compose':
      return _dockerCompose2.default;
  }

  return null;
}