'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavyNotInitialisedError = exports.NavyError = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _get2 = require('babel-runtime/helpers/get');

var _get3 = _interopRequireDefault(_get2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NavyError = exports.NavyError = function () {
  function NavyError(message) {
    (0, _classCallCheck3.default)(this, NavyError);

    this.message = message;
  }

  (0, _createClass3.default)(NavyError, [{
    key: 'prettyPrint',
    value: function prettyPrint() {
      console.log();
      console.log(_chalk2.default.bgRed(_chalk2.default.bold(' ERROR ')));
      console.log();
      console.log(' ' + this.message);
      console.log();
    }
  }]);
  return NavyError;
}();

var NavyNotInitialisedError = exports.NavyNotInitialisedError = function (_NavyError) {
  (0, _inherits3.default)(NavyNotInitialisedError, _NavyError);

  function NavyNotInitialisedError(navyName) {
    (0, _classCallCheck3.default)(this, NavyNotInitialisedError);
    return (0, _possibleConstructorReturn3.default)(this, (NavyNotInitialisedError.__proto__ || (0, _getPrototypeOf2.default)(NavyNotInitialisedError)).call(this, 'Navy "' + navyName + '" not imported'));
  }

  (0, _createClass3.default)(NavyNotInitialisedError, [{
    key: 'prettyPrint',
    value: function prettyPrint() {
      (0, _get3.default)(NavyNotInitialisedError.prototype.__proto__ || (0, _getPrototypeOf2.default)(NavyNotInitialisedError.prototype), 'prettyPrint', this).call(this);

      console.log(' Make sure you\'ve imported the navy with ' + _chalk2.default.bold('navy import'));
      console.log();
    }
  }]);
  return NavyNotInitialisedError;
}(NavyError);