'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (config, state) {
  return (0, _extends3.default)({}, config, {
    services: (0, _lodash.mapValues)(config.services, function (serviceConfig, serviceName) {
      var serviceState = state.services[serviceName] || {};
      return (0, _extends3.default)({}, serviceConfig, {
        logging: (0, _extends3.default)({}, serviceConfig.logging, serviceState.logging)
      });
    })
  });
};

module.exports = exports.default;