'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _ = require('../../');

var _util = require('./util');

var _state = require('../../navy/state');

var _util2 = require('../../navy/util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
  var _this = this;

  var rimraf, navyNames;
  return _regenerator2.default.wrap(function _callee2$(_context2) {
    while (1) {
      switch (_context2.prev = _context2.next) {
        case 0:
          rimraf = _bluebird2.default.promisify(require('rimraf'));


          (0, _util.start)('Cleaning temporary Docker Compose files');

          _context2.next = 4;
          return (0, _.getLaunchedNavyNames)();

        case 4:
          navyNames = _context2.sent;
          _context2.next = 7;
          return _promise2.default.all(navyNames.map(function () {
            var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(navyName) {
              var navyPath;
              return _regenerator2.default.wrap(function _callee$(_context) {
                while (1) {
                  switch (_context.prev = _context.next) {
                    case 0:
                      navyPath = (0, _state.pathToNavy)((0, _util2.normaliseNavyName)(navyName));
                      _context.next = 3;
                      return rimraf(_path2.default.join(navyPath, 'docker-compose.tmp.yml'));

                    case 3:
                    case 'end':
                      return _context.stop();
                  }
                }
              }, _callee, _this);
            }));

            return function (_x) {
              return _ref2.apply(this, arguments);
            };
          }()));

        case 7:
        case 'end':
          return _context2.stop();
      }
    }
  }, _callee2, this);
}));
module.exports = exports.default;