'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _ = require('../../');

var _util = require('./util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee5() {
  var _this = this;

  var navies;
  return _regenerator2.default.wrap(function _callee5$(_context5) {
    while (1) {
      switch (_context5.prev = _context5.next) {
        case 0:
          (0, _util.start)('Checking for Navies with invalid/no compose config');

          _context5.next = 3;
          return (0, _.getLaunchedNavies)();

        case 3:
          navies = _context5.sent;
          _context5.next = 6;
          return _promise2.default.all(navies.map(function () {
            var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee4(navy) {
              return _regenerator2.default.wrap(function _callee4$(_context4) {
                while (1) {
                  switch (_context4.prev = _context4.next) {
                    case 0:
                      _context4.next = 2;
                      return (0, _util.catchInvariant)('NO_DOCKER_COMPOSE_FILE', (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
                        return _regenerator2.default.wrap(function _callee$(_context) {
                          while (1) {
                            switch (_context.prev = _context.next) {
                              case 0:
                                _context.next = 2;
                                return navy.safeGetDriver();

                              case 2:
                                _context.next = 4;
                                return _context.sent.getConfig();

                              case 4:
                              case 'end':
                                return _context.stop();
                            }
                          }
                        }, _callee, _this);
                      })), (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3() {
                        return _regenerator2.default.wrap(function _callee3$(_context3) {
                          while (1) {
                            switch (_context3.prev = _context3.next) {
                              case 0:
                                _context3.next = 2;
                                return (0, _util.fix)('Found Navy %s which has no docker compose config, removing', navy.name, (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
                                  return _regenerator2.default.wrap(function _callee2$(_context2) {
                                    while (1) {
                                      switch (_context2.prev = _context2.next) {
                                        case 0:
                                          _context2.next = 2;
                                          return navy.delete();

                                        case 2:
                                        case 'end':
                                          return _context2.stop();
                                      }
                                    }
                                  }, _callee2, _this);
                                })));

                              case 2:
                              case 'end':
                                return _context3.stop();
                            }
                          }
                        }, _callee3, _this);
                      })));

                    case 2:
                    case 'end':
                      return _context4.stop();
                  }
                }
              }, _callee4, _this);
            }));

            return function (_x) {
              return _ref2.apply(this, arguments);
            };
          }()));

        case 6:
        case 'end':
          return _context5.stop();
      }
    }
  }, _callee5, this);
}));
module.exports = exports.default;