'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _getLanIp = require('../util/get-lan-ip');

var _config = require('../config');

var _reconfigure = require('./util/reconfigure');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(navy) {
    var lanIP;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return (0, _getLanIp.getLANIP)();

          case 2:
            lanIP = _context.sent;
            _context.next = 5;
            return (0, _config.setConfig)((0, _extends3.default)({}, (0, _config.getConfig)(), {
              externalIP: lanIP
            }));

          case 5:
            _context.next = 7;
            return (0, _reconfigure.reconfigureAllNavies)();

          case 7:

            console.log();
            console.log(_chalk2.default.green(' \u2714 Now using your LAN IP address (' + lanIP + ')'));
            console.log();

          case 10:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();

module.exports = exports.default;