'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _helpers = require('./helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function rewriteService(service, serviceName, serviceState) {
  if (!serviceState || !serviceState._develop) return service;

  var _serviceState = serviceState;

  return (0, _extends3.default)({}, service, {
    stdin_open: true,
    volumes: _helpers.middlewareHelpers.addVolumes(service, (0, _keys2.default)(serviceState._develop.mounts).map(function (local) {
      return local + ':' + _serviceState._develop.mounts[local];
    })),
    command: serviceState._develop.command ? serviceState._develop.command : service.command
  });
}

exports.default = function (config, state) {
  return _helpers.middlewareHelpers.rewriteServicesWithState(config, state, rewriteService);
};

module.exports = exports.default;