'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _develop = require('../middleware/develop');

var _develop2 = _interopRequireDefault(_develop);

var _tagOverride = require('../middleware/tag-override');

var _tagOverride2 = _interopRequireDefault(_tagOverride);

var _portOverride = require('../middleware/port-override');

var _portOverride2 = _interopRequireDefault(_portOverride);

var _addVirtualHosts = require('../middleware/add-virtual-hosts');

var _addVirtualHosts2 = _interopRequireDefault(_addVirtualHosts);

var _setEnvVars = require('../middleware/set-env-vars');

var _setEnvVars2 = _interopRequireDefault(_setEnvVars);

var _setLoggingDriver = require('../middleware/set-logging-driver');

var _setLoggingDriver2 = _interopRequireDefault(_setLoggingDriver);

var _setImage = require('../middleware/set-image');

var _setImage2 = _interopRequireDefault(_setImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (navy) {
  return [_develop2.default, _tagOverride2.default, _portOverride2.default, _setEnvVars2.default, _setLoggingDriver2.default, _setImage2.default, (0, _addVirtualHosts2.default)(navy)];
};

module.exports = exports.default;