'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.middlewareRunner = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var middlewareRunner = exports.middlewareRunner = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(navy, state) {
    var _this = this;

    var driver, config;
    return _regenerator2.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return navy.getDriver();

          case 2:
            driver = _context2.sent;

            if (driver) {
              _context2.next = 5;
              break;
            }

            return _context2.abrupt('return');

          case 5:
            _context2.next = 7;
            return navy.ensurePluginsLoaded();

          case 7:
            _context2.t0 = _bluebird2.default;
            _context2.t1 = [].concat((0, _toConsumableArray3.default)((0, _defaultMiddleware2.default)(navy)), (0, _toConsumableArray3.default)(navy._registeredMiddleware));

            _context2.t2 = function () {
              var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(prevConfig, middlewareFn) {
                return _regenerator2.default.wrap(function _callee$(_context) {
                  while (1) {
                    switch (_context.prev = _context.next) {
                      case 0:
                        _context.next = 2;
                        return middlewareFn(prevConfig, state);

                      case 2:
                        return _context.abrupt('return', _context.sent);

                      case 3:
                      case 'end':
                        return _context.stop();
                    }
                  }
                }, _callee, _this);
              }));

              return function (_x3, _x4) {
                return _ref2.apply(this, arguments);
              };
            }();

            _context2.next = 12;
            return driver.getConfig();

          case 12:
            _context2.t3 = _context2.sent;
            _context2.next = 15;
            return _context2.t0.reduce.call(_context2.t0, _context2.t1, _context2.t2, _context2.t3);

          case 15:
            config = _context2.sent;
            _context2.next = 18;
            return driver.writeConfig(config);

          case 18:
          case 'end':
            return _context2.stop();
        }
      }
    }, _callee2, this);
  }));

  return function middlewareRunner(_x, _x2) {
    return _ref.apply(this, arguments);
  };
}();

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _defaultMiddleware = require('./default-middleware');

var _defaultMiddleware2 = _interopRequireDefault(_defaultMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }